﻿/*!
 * Additional CSS 
 */

.font-size-9mts {
    font-size: 9px;
}

.font-size-10mts {
    font-size: 9.5px;
}

.font-size-11mts {
    font-size: 11px;
}

.font-size-12mts {
    font-size: 12px;
}

.font-size-14mts {
    font-size: 14px;
}

.font-size-15mts {
    font-size: 15px;
}
/* font-size END */

.min-vh-60mts {
    min-height: 60vh !important;
}
/* min-vh END */
.div-device-comp {
    overflow-x: auto;
    display: block;
}
.form-control-mts {
    display: inline-block;
    width: 100%;
    height: calc(1.5em + 0.75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #000000;
    background-color: #fff;
    background-clip: padding-box;
    border: 0px solid white;
    border-bottom: 1px solid black;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

    .form-control-mts:focus {
        box-shadow: 15px 10px 10px 0px #f2f2f2;
    }

    .form-control-mts:disabled, .form-control-mts[readonly] {
        background-color: #e9ecef;
        opacity: 1;
    }

.message_alert {
    /*width: 25%;*/
    position: fixed;
    top: 15px;
    z-index: 100000;
    padding: 0px;
    font-size: 16px;
}

.alert-position-left-mts {
    position: absolute;
    top: 45px;
    left: 75px;    
    z-index: 1;
}

.alert-position-center-mts {
    position: absolute;
    top: 7px;
    left: 35%;
    z-index: 1;
}

.alert-position-right-mts {
    position: absolute;
    top: 15px;
    right: 15px;
    z-index: 1;
}

.alert-success-mts {
    --bs-alert-color:black;
    --bs-alert-bg: #bcdcce; /*#0f5132 #d1e7dd*/
    --bs-alert-border-color: #0f5132; /*#badbcc*/
    border-width:2px;
}
.alert-warning-mts {
    --bs-alert-color: #ad1f2a;
    --bs-alert-bg: #f8d7da;
    --bs-alert-border-color: #ad1f2a;
    border-width: 2px;
}

    .alert-warning-mts .alert-link {
        color: #523e02;
    }

.alert-danger-mts {
    color: white;
    background-color: #b30000;
    border-color: #b30000;
    border-width: 2px;
}

    .alert-danger-mts .alert-link {
        color: #6a1a21;
    }


.card-mts {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #fff;
    background-clip: border-box;
    border: 3px solid #ffffff; /*rgba(0, 0, 0, 0.125);*/
    border-radius: 0.25rem;
}

.card-header-mts {
    padding: 0.75rem 1.25rem;
    margin-bottom: 0;
    background: linear-gradient(to bottom, #d9d9d9 50%, #f2f2f2 100%);
    /*background: linear-gradient(to bottom, #a6a6a6 15%, #d9d9d9 100%);*/
    /*background: #a6a6a6;*/
    border-bottom: 3px solid #a6a6a6;
}

    .card-header-mts:first-child {
        border-radius: calc(0.25rem - 1px) calc(0.25rem - 1px) 0 0;
    }

.card-body-mts {
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    min-height: 1px;
    padding: 1.25rem;
}


/*Bootstrap Overwrite */
.dropdown-toggle::after {
    display: inline-block;
    color: black !important;
    margin-left: 0.255em;
    vertical-align: 0.255em;
    content: "";
    border-top: 0.3em solid;
    border-right: 0.3em solid transparent;
    border-bottom: 0;
    border-left: 0.3em solid transparent;
}

.dropdown-menu-dark {
    background: #f2f2f2 !important;
    border-color: black !important;
}

.dropdown-item {
    color: black !important;
}

.dropdown-menu-dark a:hover {
    background-color: #f2f2f2;
    color: black !important;
    font-weight: bold;
    /*font-weight: 700;*/
}
/*Bootstrap Overwrite */

/*.text-primary-mts {
    color: #f2f2f2 !important;
}*/
/*.text-gv-header-mts {
    color: #000066 !important;
}*/
.text-white-mts {
    color: #ffffff !important;
}

.text-black-mts {
    color: #000000 !important;
}

.text-black-15-mts {
    color: #262626 !important;
}

/*bg-grid-alternaterow-mts*/
.bg-gv-alt-row-mts {
    background-color: #e6e6e6;
}

.bg-Book {
    background-color: #bfbfbf; /* dark blue*/
}

.bg-primary-mts {
    background-color: #f2f2f2 !important;
}
/* Active The Current top Menu Bootstarp Overwrite*/

.dropdown.active {
    background: #f2f2f2;
}

.navbar-nav .active > .nav-link {
    color: #000 !important;
}

    .navbar-nav .active > .nav-link::after {
        color: #000 !important;
    }

.bg-top-menu {
    background-color: #bfbfbf;
    color: #f2f2f2;
}

.color-top-menu {
    color: #f2f2f2 !important;
}

.pre-scrollable {
    overflow-y: scroll;
    height: 300px;
    width: 300px
}

.gv-scrollable-mobile {
    overflow-x: auto;
    display: block;
    /* width:100%;*/
}

.pre-scrollable-dashboard {
    overflow-y: scroll;
    height: 450px;
    width: 95%;
}

/*Buttons - start*/
.btn-mts {
    display: inline-block;
    font-weight: 400;
    color: #212529;
    background-color: #007bff;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.7;
    border-radius: 0.35rem;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

    /*.btn-mts:hover {        
        box-shadow: 15px 10px 10px 0px #f2f2f2;
    }*/

    .btn-mts:disabled {
        box-shadow: none;
    }

.btn-submit-mts {
    color: #f2f2f2;
    background-color: #404040;
    border-color: #404040;
    font-weight: bold;    
}

    .btn-submit-mts:hover, .btn-submit-mts:focus {
        color: #d9d9d9;
        background-color: #999999;
        border-color: #999999;
        /*opacity: 0.5;*/
    }

    .btn-submit-mts.disabled, .btn-submit-mts:disabled {
        color: #d9d9d9;
        background-color: #a6a6a6;
        border-color: #a6a6a6;
        opacity: 0.5;
    }
.btn-save-mts {
    color: #f2f2f2;
    background-color: #404040;
    border-color: #404040;
    font-weight: bold;
    width: 75px;
}
    .btn-save-mts:hover, .btn-save-mts:focus {
        color: #d9d9d9;
        background-color: #999999;
        border-color: #004d99;
        /*opacity: 0.5;*/
    }
    .btn-save-mts.disabled, .btn-save-mts:disabled {
        color: #d9d9d9;
        background-color: #a6a6a6;
        border-color: #a6a6a6;
        opacity: 0.5;
    }

.btn-cancel-mts {
    color: #404040;
    background-color: transparent; /*#f2f2f2*/
    border: 0px solid #404040;
    border-radius: 0.25rem; 
}

    .btn-cancel-mts:hover, .btn-cancel-mts:focus {
        opacity: 0.5;
    }
    .btn-cancel-mts.disabled, .btn-cancel-mts:disabled {
        color: #999999;
        background-color: #e6e6e6;
        border-color: #e6e6e6;
        opacity: 0.65;
    }

.btn-edit {
    width: 25px;
    height: 25px;    
    background-size: cover;
}

    .btn-edit:hover {
        background-image: url('Images/edit-btn-icon.png');
        background-size: cover;
        /*border: 1px dotted darkblue;*/
    }

    .btn-edit.disabled, .btn-edit:disabled {
        background-image: url('Images/edit-btn-icon.png');
        background-size: cover;
        border: none;
    }

.btn-search-mts {
    width: 32px;
    height: 32px;
    background-image: url('../Core_Css/Images/search-blueIcon.png');
    background-size: cover;
    background-color: transparent; /* #ff9900 */
    border-color: transparent;
    background-repeat: no-repeat;
}

    .btn-search-mts:hover {
        background-image: url('../Core_Css/Images/search-hover.png');
    }

    .btn-search-mts.disabled, .btn-search-mts:disabled {
        background-image: url('../Core_Css/Images/search-blueIcon.png');
        background-size: cover;
        opacity: 0.40;
    }

.btn-pdf {
    width: 28px;
    height: 30px;
    background-image: url('../Core_Css/Images/pdf-icon.PNG');
    background-size: cover;
}

    .btn-pdf:hover {
        background-image: url('../Core_Css/Images/pdf-hover.PNG');
        background-size: cover;
        /*border: 1px dotted darkblue;*/
    }

    .btn-pdf.disabled, .btn-pdf:disabled {
        background-image: url('../Core_Css/Images/pdf-icon.PNG');
        background-size: cover;
        opacity: 0.40;
    }

.btn-actions {
    --bs-btn-padding-x: 0.50rem;
    --bs-btn-padding-y: 0.375rem;
    /*--bs-btn-font-family:;*/
    --bs-btn-font-size: 0.875rem; /*1rem = 16px,0.875rem = 15px,0.75rem = 12px,  */
    --bs-btn-font-weight: 400;
    --bs-btn-line-height: 0.75;
    --bs-btn-color: #212529;
    --bs-btn-bg: transparent;
    --bs-btn-border-width: 1px;
    --bs-btn-border-color: transparent;
    --bs-btn-border-radius: 0.375rem;
    --bs-btn-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.15), 0 1px 1px rgba(0, 0, 0, 0.075);
    --bs-btn-disabled-opacity: 0.65;
    --bs-btn-focus-box-shadow: 0 0 0 0.25rem rgba(var(--bs-btn-focus-shadow-rgb), .5);
    display: inline-block;
    padding: var(--bs-btn-padding-y) var(--bs-btn-padding-x);
    font-family: var(--bs-btn-font-family);
    font-size: var(--bs-btn-font-size);
    font-weight: var(--bs-btn-font-weight);
    line-height: var(--bs-btn-line-height);
    color: var(--bs-btn-color);
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    border: var(--bs-btn-border-width) solid var(--bs-btn-border-color);
    border-radius: var(--bs-btn-border-radius);
    background-color: var(--bs-btn-bg);
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
    .btn-actions:hover {
        color: var(--bs-btn-hover-color);
        background-color: var(--bs-btn-hover-bg);
        border-color: var(--bs-btn-hover-border-color);
    }
.btnaction-outline-success {
    --bs-btn-color: #198754;
    --bs-btn-border-color: #198754;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #198754;
    --bs-btn-hover-border-color: #198754;
    --bs-btn-focus-shadow-rgb: 25, 135, 84;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #198754;
    --bs-btn-active-border-color: #198754;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #198754;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #198754;
    --bs-gradient: none;
}
.btnaction-outline-danger {
    --bs-btn-color: #dc3545;
    --bs-btn-border-color: #dc3545;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #dc3545;
    --bs-btn-hover-border-color: #dc3545;
    --bs-btn-focus-shadow-rgb: 220, 53, 69;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #dc3545;
    --bs-btn-active-border-color: #dc3545;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #dc3545;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #dc3545;
    --bs-gradient: none;
}
    .btnaction-outline-danger.disabled, .btnaction-outline-danger:disabled {
        color: #dc3545;
        background-color: #f2f2f2;
        background-size: cover;
        opacity: 0.40;
        cursor: not-allowed;
    }
/*Buttons - End */

